#
# spec file for package ircd (Version 2.9.5)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         ircd
Release:      6
Copyright:    
Group: 
Provides:     IRCD irc2.9.5+Cr15+Fl4 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      2.9.5
Summary:      Internet Relay Chat Server
Source: irc2.9.5+Cr15+Fl4.tar.gz
Patch: irc2.9.5+Cr15+Fl4.dif
%description
Ircd is the server (daemon) program for the Internet Relay
Chat Program.

%prep
%setup -n irc2.9.5+Cr15+Fl4
./configure --prefix=/usr
%patch
%build
cd `support/config.guess`
make server 
%install
cd `support/config.guess`
mkdir -p /usr/lib/ircd/
chmod 700 /usr/lib/ircd/
make install-server
cd ..
install -m 744 ircd.startup /sbin/init.d/ircd
mkdir -p /var/adm/fillup-templates
install -m 644 rc.config.ircd /var/adm/fillup-templates/rc.config.ircd
install -m 600 -o irc -g root ircd.conf /usr/lib/ircd/ircd.conf
install -m 600 -o irc -g root ircd.motd /usr/lib/ircd/ircd.motd
rm -f /sbin/init.d/rc2.d/S20ircd
ln -s ../ircd /sbin/init.d/rc2.d/S20ircd
rm -f /sbin/init.d/rc2.d/K20ircd
ln -s ../ircd /sbin/init.d/rc2.d/K20ircd
rm -f /sbin/init.d/rc3.d/S20ircd
ln -s ../ircd /sbin/init.d/rc3.d/S20ircd
rm -f /sbin/init.d/rc3.d/K20ircd
ln -s ../ircd /sbin/init.d/rc3.d/K20ircd
chown -R irc.root /usr/lib/ircd/
Check
%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.ircd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.ircd and "
  echo "update by hand."
fi
chown irc.root /usr/sbin/ircd
%files
%doc doc
/var/adm/fillup-templates/rc.config.ircd
/usr/sbin/ircd
/sbin/init.d/ircd
/usr/sbin/chkconf
%dir /usr/lib/ircd
/usr/lib/ircd/ircd.m4
/usr/lib/ircd/example.conf
/sbin/init.d/rc2.d/S20ircd
/sbin/init.d/rc2.d/K20ircd
/sbin/init.d/rc3.d/S20ircd
/sbin/init.d/rc3.d/K20ircd
%config /usr/lib/ircd/ircd.conf
%config /usr/lib/ircd/ircd.motd
%doc /usr/man/man8/ircd.8.gz

